Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Inlet::Sensors Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Inlet::Sensors Struct Reference

Inlet sensors More...

`import <Inlet.idl;`

## Public Attributes
sensors::NumericSensor | voltage
| RMS voltage sensor (may be a VoltageMonitoringSensor)
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | residualCurrent
| Residual current sensor.
sensors::NumericSensor | residualACCurrent
| AC Residual current sensor.
sensors::NumericSensor | residualDCCurrent
| DC Residual current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor | unbalancedLineLineCurrent
| Line-Line current unbalance sensor.
sensors::NumericSensor | unbalancedVoltage
| Voltage unbalance sensor.
sensors::NumericSensor | unbalancedLineLineVoltage
| Line-Line voltage unbalance sensor.
sensors::NumericSensor | lineFrequency
| Line AC frequency sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.
sensors::StateSensor | powerQuality
| Power quality sensor.
sensors::StateSensor | surgeProtectorStatus
| Surge protector status sensor.
ResidualCurrentStateSensor | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

Inlet sensors

Definition at line 35 of file Inlet.idl.

## Member Data Documentation

## ◆ activeEnergy

sensors::NumericSensor pdumodel::Inlet::Sensors::activeEnergy

Active energy sensor.

Definition at line 49 of file Inlet.idl.

## ◆ activePower

sensors::NumericSensor pdumodel::Inlet::Sensors::activePower

Active power sensor.

Definition at line 44 of file Inlet.idl.

## ◆ apparentEnergy

sensors::NumericSensor pdumodel::Inlet::Sensors::apparentEnergy

Apparent energy sensor.

Definition at line 50 of file Inlet.idl.

## ◆ apparentPower

sensors::NumericSensor pdumodel::Inlet::Sensors::apparentPower

Apparent power sensor.

Definition at line 46 of file Inlet.idl.

## ◆ crestFactor

sensors::NumericSensor pdumodel::Inlet::Sensors::crestFactor

Crest factor sensor.

Definition at line 57 of file Inlet.idl.

## ◆ current

sensors::NumericSensor pdumodel::Inlet::Sensors::current

RMS current sensor.

Definition at line 37 of file Inlet.idl.

## ◆ currentThd

sensors::NumericSensor pdumodel::Inlet::Sensors::currentThd

Current total harmonic distortion sensor.

Definition at line 59 of file Inlet.idl.

## ◆ displacementPowerFactor

sensors::NumericSensor pdumodel::Inlet::Sensors::displacementPowerFactor

Displacement power factor sensor.

Definition at line 48 of file Inlet.idl.

## ◆ lineFrequency

sensors::NumericSensor pdumodel::Inlet::Sensors::lineFrequency

Line AC frequency sensor.

Definition at line 55 of file Inlet.idl.

## ◆ peakCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::peakCurrent

Peak current sensor.

Definition at line 38 of file Inlet.idl.

## ◆ phaseAngle

sensors::NumericSensor pdumodel::Inlet::Sensors::phaseAngle

Phase angle sensor.

Definition at line 56 of file Inlet.idl.

## ◆ powerFactor

sensors::NumericSensor pdumodel::Inlet::Sensors::powerFactor

Power factor sensor.

Definition at line 47 of file Inlet.idl.

## ◆ powerQuality

sensors::StateSensor pdumodel::Inlet::Sensors::powerQuality

Power quality sensor.

Definition at line 60 of file Inlet.idl.

## ◆ reactivePower

sensors::NumericSensor pdumodel::Inlet::Sensors::reactivePower

Reactive power sensor.

Definition at line 45 of file Inlet.idl.

## ◆ residualACCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::residualACCurrent

AC Residual current sensor.

(AC portion of residual operating current)

Definition at line 40 of file Inlet.idl.

## ◆ residualCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::residualCurrent

Residual current sensor.

Definition at line 39 of file Inlet.idl.

## ◆ residualCurrentStatus

ResidualCurrentStateSensor pdumodel::Inlet::Sensors::residualCurrentStatus

Residual current monitor state sensor.

Definition at line 62 of file Inlet.idl.

## ◆ residualDCCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::residualDCCurrent

DC Residual current sensor.

(DC portion of residual operating current)

Definition at line 42 of file Inlet.idl.

## ◆ surgeProtectorStatus

sensors::StateSensor pdumodel::Inlet::Sensors::surgeProtectorStatus

Surge protector status sensor.

Definition at line 61 of file Inlet.idl.

## ◆ unbalancedCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::unbalancedCurrent

Current unbalance sensor.

Definition at line 51 of file Inlet.idl.

## ◆ unbalancedLineLineCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::unbalancedLineLineCurrent

Line-Line current unbalance sensor.

Definition at line 52 of file Inlet.idl.

## ◆ unbalancedLineLineVoltage

sensors::NumericSensor pdumodel::Inlet::Sensors::unbalancedLineLineVoltage

Line-Line voltage unbalance sensor.

Definition at line 54 of file Inlet.idl.

## ◆ unbalancedVoltage

sensors::NumericSensor pdumodel::Inlet::Sensors::unbalancedVoltage

Voltage unbalance sensor.

Definition at line 53 of file Inlet.idl.

## ◆ voltage

sensors::NumericSensor pdumodel::Inlet::Sensors::voltage

RMS voltage sensor (may be a VoltageMonitoringSensor)

Definition at line 36 of file Inlet.idl.

## ◆ voltageThd

sensors::NumericSensor pdumodel::Inlet::Sensors::voltageThd

Voltage total harmonic distortion sensor.

Definition at line 58 of file Inlet.idl.

The documentation for this struct was generated from the following file:

- Inlet.idl